# Exiv2::TiffParser Class Reference

Stateless parser class for data in TIFF format. Images use this class to decode and encode TIFF-based data. Uses class CreationPolicy for the creation of TIFF components. More...

`#include <tiffparser.hpp>`

List of all members.

## Static Public Member Functions

static void | decode (Image *pImage, const byte *pData, uint32_t size, TiffCompFactoryFct createFct)
| Decode TIFF metadata from a data buffer pData of length size into pImage.

## Detailed Description

Stateless parser class for data in TIFF format. Images use this class to decode and encode TIFF-based data. Uses class CreationPolicy for the creation of TIFF components.

## Member Function Documentation

void Exiv2::TiffParser::decode | ( | Image * | pImage,
|  | const byte * | pData,
|  | uint32_t | size,
|  | TiffCompFactoryFct | createFct
| ) | `[static]`

Decode TIFF metadata from a data buffer pData of length size into pImage.

This is the entry point to access image data in TIFF format. The parser uses classes TiffHeade2 and the TiffComponent and TiffVisitor hierarchies.

Parameters:

  | pImage | Pointer to the image to hold the metadata
  | pData | Pointer to the data buffer. Must point to data in TIFF format; no checks are performed.
  | size | Length of the data buffer.
  | createFct | Factory function to create new TIFF components.

The documentation for this class was generated from the following files:

- tiffparser.hpp
- tiffparser.cpp